| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/win32/msvc_deprecated_warn_on.h File Reference

Re-enable MSVC deprecated warnings. More...

Go to the source code of this file.

## Detailed Description

Re-enable MSVC deprecated warnings.

Unfortunately, MSVC is overzealous with deprecated warnings; it even emits one when a deprecated method is overridden, e.g. when implementing an interface method. To work around this, the file "msvc_deprecated_warn_off.h" is intended to be included from headers before code that causes such "false deprecation" warnings (C4996), as that header will disable it. After such code this file h should be included to re-enable the warning.

Definition in file msvc_deprecated_warn_on.h.